List Addresses
curl --request GET \
--url https://qwoty.app/api/addresses \
--header 'Authorization: <authorization>'{
"success": true,
"data": [
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "billing",
"name": "Siège social",
"address_line1": "12 Rue de la Paix",
"address_line2": null,
"city": "Paris",
"state": "Île-de-France",
"postal_code": "75001",
"country": "FR",
"contact_id": null,
"comment": null,
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Addresses
List Addresses
Retrieve all addresses in your workspace
GET
/
api
/
addresses
List Addresses
curl --request GET \
--url https://qwoty.app/api/addresses \
--header 'Authorization: <authorization>'{
"success": true,
"data": [
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "billing",
"name": "Siège social",
"address_line1": "12 Rue de la Paix",
"address_line2": null,
"city": "Paris",
"state": "Île-de-France",
"postal_code": "75001",
"country": "FR",
"contact_id": null,
"comment": null,
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Authorization
Bearer token. Format:
Bearer qwoty_your_tokenQuery Parameters
Filter addresses by customer UUID
Examples
curl "https://qwoty.app/api/addresses?customer_id=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer qwoty_your_token"
Response
true if the request succeededArray of address objects
Show Address Object
Show Address Object
UUID
Workspace UUID
Parent customer UUID
billing or shippingAddress label (e.g., “Head office”)
Street address
Secondary address line
City
State or region
Postal/ZIP code
Country code (ISO 3166-1 alpha-2)
UUID of the associated contact (optional). Use
GET /api/contacts/{id} to fetch the contact.Internal comment
External CRM ID
External ERP ID
External accounting ID
ISO 8601 timestamp
ISO 8601 timestamp
{
"success": true,
"data": [
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "billing",
"name": "Siège social",
"address_line1": "12 Rue de la Paix",
"address_line2": null,
"city": "Paris",
"state": "Île-de-France",
"postal_code": "75001",
"country": "FR",
"contact_id": null,
"comment": null,
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Was this page helpful?
⌘I

